#!/usr/bin/perl

################################################################################
# Copyright (c) 2008 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

# Sets hard disk name

if ( -f "/Library/Preferences/Xhooks/edu.utah.scl.radmind_xhooks_conf.perl" ) {
  use lib "/Library/Preferences/Xhooks";
  require "edu.utah.scl.radmind_xhooks_conf.perl";
}

if ( defined $HARD_DISK_NAME and $HARD_DISK_NAME ne "" ) {

  print "$0 - /usr/sbin/diskutil rename / \"$HARD_DISK_NAME\"" if ( defined $ENV{'xhooks_verbose'} and $ENV{'xhooks_verbose'});
  system "/usr/sbin/diskutil", "rename", "/", "$HARD_DISK_NAME";

} else {

  print "WARN $0 - No hard disk name set.\n" if ( defined $ENV{'xhooks_verbose'} and $ENV{'xhooks_verbose'});

}

exit 0;
