#!/usr/bin/perl

################################################################################
# Copyright (c) 2007 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

@diskutil_data = `diskutil list`;
@mount_data = `mount`;

# Build Volume List
opendir (DIR, "/Volumes");
while ($volume = readdir(DIR)){
	if ( $volume ne '..' and $volume ne '.' ) {
		push @volumes, $volume;
	}
}
closedir (DIR);

@delete_me = ();
foreach my $volume ( @volumes) {
	my $delete = 1;
	$delete = 0 if grep(/$volume *\d/, @diskutil_data);
	$delete = 0 if grep(/\/Volumes\/$volume \(/, @mount_data);
	push @delete_me, "/Volumes/$volume" if $delete;
}

foreach my $delete ( @delete_me ) {
	$delete =~ s/"/\\"/g;
	print "rm -r -- \"$delete\"\n";
	system "rm -r -- \"$delete\"";
}
