#!/usr/bin/perl

################################################################################
# run_memtest.pl
#
# Copyright (c) 2002 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
#
################################################################################

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

$memtest_command = "/usr/local/bin/memtest";
$memtest_output = "/tmp/memtest_out":

if ( -e $memtest_command ) {
  $output = system "$memtest_command all &> $memtest_output";
  if ( $output != 0 ) {
    entman_logger ( "log", "I failed memtest." );
    system "\"$remote_logger_script\" MEMTEST \"I failed memtest.\"";
  }
}
