#!/usr/bin/perl -w

################################################################################
# Copyright (c) 2005 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

my $max_delay = 30;

my $up;
my $i;

for ( $i = 1 ; $i < $max_delay ; $i ++ ) {
    #my $network = `/usr/sbin/scutil -r some.server.edu`;
    #my $up = 1 if ( $network ne "Not Reachable" );
    
    my $network = `/sbin/ifconfig -a inet 2> /dev/null | sed -n -e '/127.0.0.1/d' -e '/0.0.0.0/d' -e '/tunnel/d' -e '/inet/p' | wc -l | awk '{print \$1}'`;
    chomp $network;
    $up = 1 if $network > 0;
    last if $up;

    entman_logger ( "log drawer", "Network is down." );

    sleep 1;
}

if ( $up ) {
    entman_logger ( "log drawer", "Network is up." );
} else {
    entman_logger ( "log drawer", "Network never came up.  :(" );
}

entman_logger ( "log drawer", "Done." );
