#!/usr/bin/perl

################################################################################
# Copyright (c) 2005 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

# This script contacts a webserver, basically putting itself in the log of the
# webserver and associating a serial number with an ip.

if ( ! defined $PHONE_HOME_URL or $PHONE_HOME_URL eq "" ) {
  die "ERROR $0 - The variable PHONE_HOME_URL is not defined.";
}

$useragent = "Little lost lambie"; 

sleep int ( rand 60 ); 

entman_logger ( "log", "Calling... ring... ring..." );

# Serial number
#  method 1...?
#  $rawserial = `ioreg -c IOPlatformExpertDevice | grep 'serial-number'`;
#  $serial_number = substr ( $rawserial,-27,8 ) . substr ( $rawserial,-40,3 );
#  method 2
#  $serial_number1 = `system_profiler 2> /dev/null | grep \"Customer serial number\" `;
#  @serial_number2 = split ( ' ', $serial_number1 );
#  $serial_number = $serial_number2[3];
#  method 3
#$serial_number = substr ( `ioreg -c IOPlatformExpertDevice | grep 'serial-number'`, 41, 11 );
#  method 4

$serial_number =  ( split ( ' ',`/usr/sbin/system_profiler SPHardwareDataType | /usr/bin/grep 'Serial Number'` ) ) [2];

# Who to ping
my $url = "$PHONE_HOME_URL${serial_number}.html";

# See if network is up.
$network = `/sbin/ifconfig -a inet 2>/dev/null | /usr/bin/sed -n -e '/127.0.0.1/d' -e '/0.0.0.0/d' -e '/tunnel/d' -e '/inet/p' | /usr/bin/wc -l`;
if ( $network == 1 ) { 
  system "/usr/bin/curl -A \"$useragent\" \"$url\" 2> /dev/null &";
}

exit 0;
