$make_hidden_visible = "$entman_folder/system/secure/make_hidden_visible";

sub unrestrict_folders_files {

  if ( -e $make_hidden_visible ) {
    system "/bin/sh", "$make_hidden_visible";
    unlink $make_hidden_visible;
  }

  unhide_folders_files( @remove_permissions_list );

}

sub restrict_folders_files {
  if ( -e $make_hidden_visible ) {
    return; # already hidden
  }

  foreach $remove_perm_me ( @remove_permissions_list ) {
    if ( -e $remove_perm_me ) {

      # Save current perms to an "undo" file
      system "/usr/local/bin/fsdiff -1 \"$remove_perm_me\" | awk '{print \"chmod \" \$3 \" \" \"\\\"$remove_perm_me\\\"\"}' >> $make_hidden_visible";

      system "/bin/chmod", "o-rwx", "$remove_perm_me";
    }
  }

  hide_folders_files( @remove_permissions_list );

}

sub unhide_folders_files {
  my ( @unhide_list ) = @_;

  foreach $unhide_me ( @unhide_list ) {
    if ( -e $unhide_me ) {

      system "$entman_folder/bin/SetFile", "-a", "v", "$unhide_me";

    }
  }
}

sub hide_folders_files {
  my ( @hide_list ) = @_;

  foreach $hide_me ( @hide_list ) {
    if ( -e $hide_me ) {

      system "$entman_folder/bin/SetFile", "-a", "V", "$hide_me";

    }
  }
}

1;
